package com.sun.xml.internal.stream.util;

import java.lang.ref.SoftReference;

public class ThreadLocalBufferAllocator
{
    private static ThreadLocal tlba;
    
    public ThreadLocalBufferAllocator() {
    }
    
    public static BufferAllocator getBufferAllocator() {
        SoftReference<Object> bAllocatorRef = (SoftReference)ThreadLocalBufferAllocator.tlba.get();
        if (bAllocatorRef == null || bAllocatorRef.get() == null) {
            bAllocatorRef = new SoftReference(new BufferAllocator());
            ThreadLocalBufferAllocator.tlba.set(bAllocatorRef);
        }
        return (BufferAllocator)bAllocatorRef.get();
    }
    
    static {
        ThreadLocalBufferAllocator.tlba = new ThreadLocal();
    }
}
